from unittest import TestCase
import repl

class AddressTest(TestCase):
    def test_unknown_address(self):
        '''Happy path for address conversion'''
        addrs = [
            'NQWihmbsvE3NuYzbmUyPkuZBKr9gRPUAt5',
        ]
        for address in addrs:
            result = repl.unknown_address(address)
            self.assertEqual(len(result), 6)

    def test_unknown_hash160(self):
        '''Happy path for hash160 conversion'''
        hashes = [
            '2tGD86okEQNwChN95jgJEa5TkB8B'
        ]
        for h in hashes:
            result = repl.unknown_hash160(repl.b58decode(h))
            self.assertEqual(len(result), 1)
